[API Reference](../README.md) > [LockingOptions](../interfaces/LockingOptions.md)

# Interface: LockingOptions

## Hierarchy

**LockingOptions**

↳  [TokenLockingOptions](TokenLockingOptions.md)

## Index

### Properties

* [amount](LockingOptions.md#amount)
* [lockerAddress](LockingOptions.md#lockerAddress)
* [period](LockingOptions.md#period)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/locking4Reputation.ts:444](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L444)*

in Wei

___
<a id="lockerAddress"></a>

###  lockerAddress

**● lockerAddress**: *[Address](../#Address)*

*Defined in [wrappers/locking4Reputation.ts:449](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L449)*

___
<a id="period"></a>

###  period

**● period**: *`number`*

*Defined in [wrappers/locking4Reputation.ts:448](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L448)*

the number of seconds the amount should be locked

___

